local Errors = {

    EmptyError = "Sequence contains no elements.",

    ObjectDisposedError = "Object has been disposed",

    ArgumentOutOfRangeError = "Argument out of range",

    NotSupportedError = "This operation is not supported",

--  NotImplementedError = "This operation is not implemented",
    -- Not used because not providing a function for a key will generate a
    -- message that it is missing.

}

--------------------------------------------------------------------------------

function Errors.notSupported()
    error(Errors.NotSupportedError, 2)
end

--------------------------------------------------------------------------------

function Errors.stripErrorLocation(err)
    return err:gsub(".-:%d+: ", "")
end

return Errors
